Index: LMDZ5/trunk/libf/phylmd/rrtm/eq_regions_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/eq_regions_mod.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/eq_regions_mod.F90	(revision 2010)
@@ -78,4 +78,7 @@
 integer(kind=jpim) :: my_region_ew
 integer(kind=jpim),allocatable :: n_regions(:)
+
+
+!$OMP THREADPRIVATE(l_regions_debug,my_region_ew,my_region_ns,n_regions_ew,n_regions_ns,pi,n_regions)
 
 CONTAINS
Index: LMDZ5/trunk/libf/phylmd/rrtm/gfl_subs.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/gfl_subs.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/gfl_subs.F90	(revision 2010)
@@ -53,4 +53,6 @@
 TYPE(TYPE_GFL_COMP)  :: YCPF_SAVE ! For saving status of cloud fields
 LOGICAL :: L_CLD_DEACT=.FALSE.
+
+!$OMP THREADPRIVATE(l_cld_deact,ya_save,ycpf_save,yi_save,yl_save,ylastgflc,yptrc,yr_save,ys_save)
 
 #include "abor1.intfb.h"
@@ -115,4 +117,6 @@
 LOGICAL,SAVE :: LLFIRSTCALL = .TRUE.
 REAL(KIND=JPRB) :: ZHOOK_HANDLE
+!$OMP THREADPRIVATE(llfirstcall)
+
 
 !-------------------------------------------------------------------------
Index: LMDZ5/trunk/libf/phylmd/rrtm/mod_const_para.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/mod_const_para.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/mod_const_para.F90	(revision 2010)
@@ -3,5 +3,6 @@
   INTEGER :: COMM_LMDZ
   INTEGER :: MPI_REAL_LMDZ
- 
+
+!$OMP THREADPRIVATE(comm_lmdz,mpi_real_lmdz)
 
 CONTAINS 
Index: LMDZ5/trunk/libf/phylmd/rrtm/suecrad.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/suecrad.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/suecrad.F90	(revision 2010)
@@ -204,4 +204,5 @@
 REAL(KIND=JPRB) :: ZHOOK_HANDLE
 
+
 INTERFACE
 #include "setup_trans.h"
@@ -664,5 +665,5 @@
 !    CALL GSTATS(667,0)     MPL 2.12.08
     IF( NPROC > 1 )THEN
-      stop'Pas pret pour proc > 1'
+      stop 'Pas pret pour proc > 1'
 !     CALL MPL_BROADCAST (RADGRID%NDGLG,MTAGRAD,JPIOMASTER,CDSTRING='SUECRAD:')
     ENDIF
@@ -672,5 +673,5 @@
     ENDIF
     IF( NPROC > 1 )THEN
-      stop'Pas pret pour proc > 1'
+      stop 'Pas pret pour proc > 1'
 !     CALL MPL_BROADCAST (RADGRID%NRGRI(1:RADGRID%NDGLG),MTAGRAD,JPIOMASTER,CDSTRING='SUECRAD:')
     ENDIF
@@ -847,5 +848,5 @@
         WRITE(NULOUT,'("RADGRID,BEGIN")')
         IF( MYPROC /= 1 )THEN
-          stop'Pas pret pour proc > 1'
+          stop 'Pas pret pour proc > 1'
 !         CALL MPL_SEND(RADGRID%NGPTOT,KDEST=NPRCIDS(1),KTAG=1,CDSTRING='SUECRAD.R')
 !         CALL MPL_SEND(ZLATX(1:RADGRID%NGPTOT),KDEST=NPRCIDS(1),KTAG=2,CDSTRING='SUECRAD.R')
@@ -859,5 +860,5 @@
               ENDDO
             ELSE
-              stop'Pas pret pour proc > 1'
+              stop 'Pas pret pour proc > 1'
 !             CALL MPL_RECV(IGPTOT,KSOURCE=NPRCIDS(JROC),KTAG=1,CDSTRING='SUECRAD.M')
 !             CALL MPL_RECV(ZLATX(1:IGPTOT),KSOURCE=NPRCIDS(JROC),KTAG=2,CDSTRING='SUECRAD.M')
@@ -887,5 +888,5 @@
         WRITE(NULOUT,'("MODELGRID,BEGIN")')
         IF( MYPROC /= 1 )THEN
-          stop'Pas pret pour proc > 1'
+          stop 'Pas pret pour proc > 1'
 !         CALL MPL_SEND(NGPTOT,KDEST=NPRCIDS(1),KTAG=1,CDSTRING='SUECRAD')
 !         CALL MPL_SEND(ZLATX(1:NGPTOT),KDEST=NPRCIDS(1),KTAG=2,CDSTRING='SUECRAD')
@@ -900,5 +901,5 @@
               ENDDO
             ELSE
-              stop'Pas pret pour proc > 1'
+              stop 'Pas pret pour proc > 1'
 !             CALL MPL_RECV(IGPTOT,KSOURCE=NPRCIDS(JROC),KTAG=1,CDSTRING='SUECRAD')
 !             CALL MPL_RECV(ZLATX(1:IGPTOT),KSOURCE=NPRCIDS(JROC),KTAG=2,CDSTRING='SUECRAD')
@@ -1149,5 +1150,5 @@
         IWIDE(10)=NAROB1
         IF( MYPROC /= 1 )THEN
-          stop'Pas pret pour proc > 1'
+          stop 'Pas pret pour proc > 1'
 !         CALL MPL_SEND(IWIDE(1:10),KDEST=NPRCIDS(1),KTAG=1,CDSTRING='SUECRAD.W')
         ENDIF
@@ -1155,5 +1156,5 @@
           DO JROC=1,NPROC
             IF( JROC /= MYPROC )THEN
-              stop'Pas pret pour proc > 1'
+              stop 'Pas pret pour proc > 1'
 !             CALL MPL_RECV(IWIDE(1:10),KSOURCE=NPRCIDS(JROC),KTAG=1,CDSTRING='SUECRAD.W')
             ENDIF
Index: LMDZ5/trunk/libf/phylmd/rrtm/surface_fields.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/surface_fields.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/surface_fields.F90	(revision 2010)
@@ -505,4 +505,16 @@
 TYPE(TYPE_SFL_VEXTR2)  :: YSD_X2
 
+!$OMP THREADPRIVATE(ndimsurf,ndimsurfl,nofftraj,nofftraj_cst,nprogsurf)
+!$OMP THREADPRIVATE(nprogsurfl,nptrsurf,nstrajgrib,nsurf,nsurfl,ysd_va,ysd_vad)
+!$OMP THREADPRIVATE(ysd_vc,ysd_vcd,ysd_vd,ysd_vdd,ysd_vf,ysd_vfd,ysd_vh,ysd_vhd)
+!$OMP THREADPRIVATE(ysd_vn,ysd_vnd,ysd_vp,ysd_vpd,ysd_vv,ysd_vvd,ysd_vx,ysd_vxd)
+!$OMP THREADPRIVATE(ysd_ws,ysd_wsd,ysd_x2,ysd_x2d,ysd_xa,ysd_xad,ysp_ci,ysp_cid)
+!$OMP THREADPRIVATE(ysp_ep,ysp_epd,ysp_rr,ysp_rrd,ysp_sb,ysp_sbd,ysp_sg,ysp_sgd)
+!$OMP THREADPRIVATE(ysp_x2,ysp_x2d)
+
+!$OMP THREADPRIVATE(sd_va,sd_vc,sd_vd,sd_vf,sd_vh,sd_vn,sd_vp,sd_vv,sd_vx,sd_ws)
+!$OMP THREADPRIVATE(sd_x2,sd_xa,sp_ci,sp_ep,sp_rr,sp_sb,sp_sg,sp_x2,surf_store_array)
+
+
 !-------------------------------------------------------------------------
 
Index: LMDZ5/trunk/libf/phylmd/rrtm/susw15.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/susw15.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/susw15.F90	(revision 2010)
@@ -62,4 +62,6 @@
 REAL(KIND=JPRB)   :: ZPRH2O=30000._JPRB
 REAL(KIND=JPRB)   :: ZPRUMG=30000._JPRB
+
+!$OMP THREADPRIVATE(zpdh2o,zpdumg,zprh2o,zprumg)
 
 REAL(KIND=JPRB) :: ZH2O, ZUMG
Index: LMDZ5/trunk/libf/phylmd/rrtm/sw.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/sw.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/sw.F90	(revision 2010)
@@ -80,4 +80,5 @@
 
 integer, save :: icount=0
+!$OMP THREADPRIVATE(icount)
 INTEGER(KIND=JPIM),INTENT(IN)    :: KLON 
 INTEGER(KIND=JPIM),INTENT(IN)    :: KLEV 
Index: LMDZ5/trunk/libf/phylmd/rrtm/swr.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/swr.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/swr.F90	(revision 2010)
@@ -161,5 +161,5 @@
 !++MODIFCODE
   IF (NOVLP >= 5) THEN !MESONH VERSION
-   stop'provisoire pour verifier option novlp=1'
+   stop 'provisoire pour verifier option novlp=1'
    ZFACOA =PTAUAZ(JL,IKL) 
    ZFACOC = 1.0_JPRB - POMEGA(JL,KNU,IKL) * PCG(JL,KNU,IKL)* PCG(JL,KNU,IKL)
@@ -192,5 +192,5 @@
     ZCLOUD(JL) = ZSS1(JL)
   ELSEIF (NOVLP == 2) THEN
-   stop'provisoire pour verifier option novlp=1b'
+   stop 'provisoire pour verifier option novlp=1b'
 !* maximum
     ZCLOUD(JL) = MAX( ZSS1(JL) , ZCLOUD(JL) )
@@ -198,5 +198,5 @@
 !++MODIFCODE
   ELSEIF ((NOVLP == 3).OR.((NOVLP  >=  5).AND.(NOVLP /= 8))) THEN
-   stop'provisoire pour verifier option novlp=1c'
+   stop 'provisoire pour verifier option novlp=1c'
 !--MODIFCODE
 !* random
@@ -205,5 +205,5 @@
     ZC1I(JL,IKL) = ZCLOUD(JL)
   ELSEIF (NOVLP == 4) THEN
-   stop'provisoire pour verifier option novlp=1d'
+   stop 'provisoire pour verifier option novlp=1d'
 !* Hogan & Illingworth, 2001  
     ZCLEAR(JL)=ZCLEAR(JL)*( &
Index: LMDZ5/trunk/libf/phylmd/rrtm/tpm_dim.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/tpm_dim.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/tpm_dim.F90	(revision 2010)
@@ -32,3 +32,7 @@
 TYPE(DIM_TYPE),POINTER     :: R
 
+!$OMP THREADPRIVATE(r)
+!$OMP THREADPRIVATE(dim_resol)
+
+
 END MODULE TPM_DIM
Index: LMDZ5/trunk/libf/phylmd/rrtm/tpm_distr.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/tpm_distr.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/tpm_distr.F90	(revision 2010)
@@ -152,4 +152,10 @@
 TYPE(DISTR_TYPE),POINTER     :: D
 
+!$OMP THREADPRIVATE(d,leq_regions,mtagdistgp,mtagdistsp,mtaggl,mtagletr)
+!$OMP THREADPRIVATE(mtaglg,mtaglm,mtagml,mtagpart,myproc,mysetv,mysetw)
+!$OMP THREADPRIVATE(ncombflen,nprgpew,nprgpns,nproc,nprtrns,nprtrv,nprtrw)
+
+!$OMP THREADPRIVATE(distr_resol)
+
 END MODULE TPM_DISTR
 
Index: LMDZ5/trunk/libf/phylmd/rrtm/tpm_fft.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/tpm_fft.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/tpm_fft.F90	(revision 2010)
@@ -14,3 +14,5 @@
 TYPE(FFT_TYPE),POINTER     :: T
 
+!$OMP THREADPRIVATE(t)
+
 END MODULE TPM_FFT
Index: LMDZ5/trunk/libf/phylmd/rrtm/tpm_gen.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/tpm_gen.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/tpm_gen.F90	(revision 2010)
@@ -23,3 +23,6 @@
 LOGICAL   :: LMPOFF          ! true: switch off message passing
 
+!$OMP THREADPRIVATE(lalloperm,limp,limp_noolap,lmpoff,msetup0,ncur_resol)
+!$OMP THREADPRIVATE(ndef_resol,nerr,nmax_resol,nout,nprintlev,npromatr)
+
 END MODULE TPM_GEN
Index: LMDZ5/trunk/libf/phylmd/rrtm/tpm_geometry.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/tpm_geometry.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/tpm_geometry.F90	(revision 2010)
@@ -19,3 +19,6 @@
 TYPE(GEOM_TYPE),POINTER     :: G
 
+!$OMP THREADPRIVATE(g)
+!$OMP THREADPRIVATE(geom_resol)
+
 END MODULE TPM_GEOMETRY
Index: LMDZ5/trunk/libf/phylmd/rrtm/tpm_trans.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/tpm_trans.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/tpm_trans.F90	(revision 2010)
@@ -42,3 +42,8 @@
 INTEGER(KIND=JPIM) :: NGPBLKS ! Number of NPROMA blocks
 
+!$OMP THREADPRIVATE(ldivgp,lscders,luvder,lvorgp,nf_sc2,nf_sc3a,nf_sc3b,ngpblks,nproma)
+!$OMP THREADPRIVATE(foubuf_in,foubuf)
+
 END MODULE TPM_TRANS
+
+
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoe_mcica.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoe_mcica.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoe_mcica.F90	(revision 2010)
@@ -12,3 +12,6 @@
 
 !------------------------------------------------------------------------------
+
+!$OMP THREADPRIVATE(nmci1,nmci2,xcw)
+
 END MODULE YOE_McICA
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoe_tile_prop.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoe_tile_prop.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoe_tile_prop.F90	(revision 2010)
@@ -19,3 +19,4 @@
 REAL(KIND=JPRB),ALLOCATABLE :: RTSKTI (:,:,:) ! SKIN TEMPERATURE 
 
+!$OMP THREADPRIVATE(rahfsti,revapti,rtskti,rustrti,rvstrti)
 END MODULE YOE_TILE_PROP
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoe_uvrad.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoe_uvrad.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoe_uvrad.F90	(revision 2010)
@@ -22,4 +22,8 @@
 REAL(KIND=JPRB) :: RFCAER, RFCOZO, RMUZUV
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(ipuv,jcop,juvlam,luvdbg,luvproc,luvtdep,nraduv,nuv,nuvtim,rasa,rasb)
+!$OMP THREADPRIVATE(rasc,rasd,rase,rasf,rayuvb,rcguva,rcieas,rfa0,rfa1,rfb0,rfb1,rfb2,rfb3)
+!$OMP THREADPRIVATE(rfc0,rfc1,rfc2,rfc3,rfcaer,rfcozo,rfd0,rfd1,rfd2,rfd3,rk250,rmuzuv,rpiuva)
+!$OMP THREADPRIVATE(rsuvb,rsuvb0,rtauva,rtuv1,rtuv2,ruvlam,rxpl,rxpo)
 END MODULE YOE_UVRAD
 
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoeaeratm.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoeaeratm.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoeaeratm.F90	(revision 2010)
@@ -45,4 +45,10 @@
 ! LAER6SDIA  : .T. if radiance diagnostics with 6S
 !     ------------------------------------------------------------------
+
+
+!$OMP THREADPRIVATE(indbg,laer6sdia,laerclimg,laerclimz,laerclist,laerdrydp)
+!$OMP THREADPRIVATE(laergbud,laerngat,laerprnt,laerscav,laersedim,laersurf)
+!$OMP THREADPRIVATE(ndd1,nss1,repscaer,rmasse,rmfmin)
+
 END MODULE YOEAERATM
 
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoeaerd.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoeaerd.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoeaerd.F90	(revision 2010)
@@ -65,3 +65,10 @@
 
 !     ------------------------------------------------------------------
+
+!$OMP THREADPRIVATE(raedc,raeds,raelc,raels,raesc,raess,raeuc,raeus)
+!$OMP THREADPRIVATE(rcaeadk,rcaeadm,rcaeopd,rcaeopl,rcaeops,rcaeopu)
+!$OMP THREADPRIVATE(rcaeros,rcstbga,rctrbga,rctrpt,rcvobga)
+
+!$OMP THREADPRIVATE(cvdaed,cvdael,cvdaes,cvdaeu)
+
 END MODULE YOEAERD
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoeaerop.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoeaerop.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoeaerop.F90	(revision 2010)
@@ -31,4 +31,8 @@
 ! OMG is pizero, the single scattering albedo	     ND
 !     ------------------------------------------------------------------
+
+!$OMP THREADPRIVATE(alf_bc,alf_dd,alf_fa,alf_om,alf_ss,alf_su,asy_bc,asy_dd)
+!$OMP THREADPRIVATE(asy_fa,asy_om,asy_ss,asy_su,omg_bc,omg_dd,omg_fa,omg_om,omg_ss,omg_su)
+
 END MODULE YOEAEROP
 
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoeaersnk.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoeaersnk.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoeaersnk.F90	(revision 2010)
@@ -58,4 +58,10 @@
 ! RVSEDLIC   :
 !     -----------------------------------------------------------------
+
+!$OMP THREADPRIVATE(nbrh,r_r,r_s,ralphar,ralphas,rfraer,rfrbc,rfrdd,rfrgas)
+!$OMP THREADPRIVATE(rfrif,rfrom,rfrso4,rfrss,rho_ice,rho_wat,rmmd_dd,rmmd_ss)
+!$OMP THREADPRIVATE(rrhmax,rrho_dd,rrho_ss,rrhtab,rssgrow,rvdplic,rvdplnd)
+!$OMP THREADPRIVATE(rvdpoce,rvdpsic,rvsedlic,rvsedlnd,rvsedoce,rvsedsic)
+
 END MODULE YOEAERSNK
 
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoeaersrc.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoeaersrc.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoeaersrc.F90	(revision 2010)
@@ -44,4 +44,11 @@
 ! JDDUST     : 1 =LSCE, 2 =based on MODIS
 !     ------------------------------------------------------------------
+
+
+
+!$OMP THREADPRIVATE(jkbin,jktyp,laerextr,lepaero,nbinaer,nddust,nindaer)
+!$OMP THREADPRIVATE(nmaxtaer,ntaer,ntypaer,rclonv,rdclonv,rdglav,rdgmuv)
+!$OMP THREADPRIVATE(rdslonv,rgelav,rgemuv,rlatvol,rlonvol,rslonv,rssflx)
+
 END MODULE YOEAERSRC
 
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoecld.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoecld.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoecld.F90	(revision 2010)
@@ -70,3 +70,10 @@
 !  LOMEGA:  LOGICAL  SWITCH FOR OMEGA-FILTER ON MIDDLE CLOUD
 !     ------------------------------------------------------------------
+
+!$OMP THREADPRIVATE(lomega,ranva,ranvb,ranvh,rcca,rccb,rccc,rcfct)
+!$OMP THREADPRIVATE(rclwmr,rcscal,repscr,repsec,retahb,retamb,rgammas)
+!$OMP THREADPRIVATE(rloia,rloib,rloic,rloid,rlonia,rlonib,rrhh,rrhl,rrhm)
+
+!$OMP THREADPRIVATE(ceta)
+
 END MODULE YOECLD
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoeclop.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoeclop.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoeclop.F90	(revision 2010)
@@ -83,3 +83,10 @@
 ! RRIW   :  REAL   : TRANSITION RANGE
 !     -----------------------------------------------------------------
+
+
+!$OMP THREADPRIVATE(raswca,raswcb,raswcc,raswcd,raswce,raswcf,rebcua)
+!$OMP THREADPRIVATE(rebcub,rebcuc,rebcud,rebcue,rebcuf,rebcug,rebcuh)
+!$OMP THREADPRIVATE(rebcui,rebcuj,reffia,reffib,rriw,rtiw,ryfwca)
+!$OMP THREADPRIVATE(ryfwcb,ryfwcc,ryfwcd,ryfwce,ryfwcf)
+
 END MODULE YOECLOP
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoecnd.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoecnd.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoecnd.F90	(revision 2010)
@@ -23,3 +23,8 @@
 ! REPQMI :  Minimum specific humidity (security within QNEGAT)
 !     -----------------------------------------------------------------
+
+!$OMP THREADPRIVATE(repflm,repfls,repqmi)
+
+!$OMP THREADPRIVATE(cevapcu)
+
 END MODULE YOECND
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoedbug.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoedbug.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoedbug.F90	(revision 2010)
@@ -12,4 +12,7 @@
 INTEGER(KIND=JPIM) :: KSTPDBG(3)
 !     ------------------------------------------------------------------
+
+!$OMP THREADPRIVATE(kstpdbg)
+
 END MODULE YOEDBUG
 
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoelw.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoelw.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoelw.F90	(revision 2010)
@@ -79,3 +79,8 @@
 !  RVGO3 :  REAL     RESIDUAL PRESSURE FOR O3  VOIGT LINE HALF-WIDTH
 !     ------------------------------------------------------------------
+
+
+!$OMP THREADPRIVATE(alwt,blwt,mxixt,ng1,ng1p1,nipd,nipd2,nsil,ntr,ntra,nua)
+!$OMP THREADPRIVATE(pdga,pdgb,retype,rntnu,ro1h,ro2h,ro3t,rpialf0,rptype,rt1)
+!$OMP THREADPRIVATE(rvgco2,rvgh2o,rvgo3,tintp,tref,tstand,tstp,wg1,xp)
 END MODULE YOELW
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoeovlp.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoeovlp.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoeovlp.F90	(revision 2010)
@@ -21,3 +21,4 @@
 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(ra1ovlp)
 END MODULE YOEOVLP
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoephli.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoephli.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoephli.F90	(revision 2010)
@@ -56,3 +56,7 @@
 !                          ACTIVATED
 !     ------------------------------------------------------------------
+
+!$OMP THREADPRIVATE(lenopert,leppcfls,lphylin,lraisanen,rlpal1,rlpal2,rlpbb)
+!$OMP THREADPRIVATE(rlpbeta,rlpcc,rlpdd,rlpdrag,rlpevap,rlpmixl,rlpp00,rlptrc)
+
 END MODULE YOEPHLI
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoephy.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoephy.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoephy.F90	(revision 2010)
@@ -93,3 +93,10 @@
 ! LE4ALB : LOGICAL  : MODIS ALBEDO (UV-Vis+NIR)x(direct+diffuse) 
 !     -----------------------------------------------------------------
+
+!$OMP THREADPRIVATE(lagphy,lbud23,le4alb,leco2diu,lecond,lecumf,lecurr,ledcld)
+!$OMP THREADPRIVATE(leevap,legwdg,lemethox,lemwave,leo3ch,leocco,leocsa,leocwa)
+!$OMP THREADPRIVATE(leozoc,lepcld,lephys,leqngt,lera40,leradi,lerads,lerain)
+!$OMP THREADPRIVATE(leshcv,lesice,lesurf,levdif,lmftrac,lvdftrac,nephys_pcfull)
+!$OMP THREADPRIVATE(nphproma,nphyint,rthrfrti)
+
 END MODULE YOEPHY
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoerad.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoerad.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoerad.F90	(revision 2010)
@@ -170,3 +170,12 @@
 !                     2: McICA w generalized overlap in cloud generator
 !     ------------------------------------------------------------------
+
+!$OMP THREADPRIVATE(crtabledir,crtablefil,lccnl,lccno,ldiffc,leco2var,lecsrad)
+!$OMP THREADPRIVATE(ledbug,lepo3ra,lerad1h,leradhs,lhghg,lhvolca,lnewaer,lnotroaer)
+!$OMP THREADPRIVATE(lonewsw,loptrproma,lradlb,lrayl,lrrtm,lsrtm,naer,ncsradf,nhincsol)
+!$OMP THREADPRIVATE(niceopt,ninhom,nlayinh,nliqopt,nlngr1h,nlw,nmcica,nmode,novlp,nozocl)
+!$OMP THREADPRIVATE(npertaer,npertoz,nradfr,nradint,nradip,nradlp,nradnfr,nradpfr,nradpla)
+!$OMP THREADPRIVATE(nradres,nradsfr,nrint,nrproma,nscen,nswnl,nswtl,ntsw,nuv,raovlp)
+!$OMP THREADPRIVATE(rbovlp,rccnlnd,rccnsea,rlwinhf,rpertoz,rre2de,rswinhf)
+
 END MODULE YOERAD
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoerdi.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoerdi.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoerdi.F90	(revision 2010)
@@ -40,3 +40,8 @@
 !          TO BE MORE THAN THE RESPECTIVE VALUE AT SATURATION.
 !     -----------------------------------------------------------------
+
+!$OMP THREADPRIVATE(rcardi,rccfc11,rccfc12,rcch4,rcco2,rcfc11,rcfc12,rch4)
+!$OMP THREADPRIVATE(rcn2o,repclc,reph2o,rfvar,rhvar,rincsol,rn2o,ro3,rrae)
+!$OMP THREADPRIVATE(rsolinc,rsundur)
+
 END MODULE YOERDI
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoerdu.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoerdu.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoerdu.F90	(revision 2010)
@@ -49,3 +49,7 @@
 
 !     -----------------------------------------------------------------
+
+
+!$OMP THREADPRIVATE(diff,nimp,nout,ntraer,nuaer,r10e,rcday,replog,repsc,repsco,repscq,repsct,repscw)
+
 END MODULE YOERDU
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoerrtab.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoerrtab.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoerrtab.F90	(revision 2010)
@@ -24,4 +24,7 @@
 ! BPADE  :  REAL     
 !     -----------------------------------------------------------------
+
+!$OMP THREADPRIVATE(bpade,trans)
+
 END MODULE YOERRTAB
 
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoerrtbg2.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoerrtbg2.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoerrtbg2.F90	(revision 2010)
@@ -26,4 +26,6 @@
 ! CORR2  :  REAL   :
 !    -------------------------------------------------------------------
+!$OMP THREADPRIVATE(corr1,corr2)
+
 END MODULE YOERRTBG2
 
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoerrtftr.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoerrtftr.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoerrtftr.F90	(revision 2010)
@@ -35,4 +35,7 @@
 !  WT    : REAL    :
 !    -------------------------------------------------------------------
+
+!$OMP THREADPRIVATE(ngb,ngc,ngm,ngn,ngs,wt)
+
 END MODULE YOERRTFTR
 
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoerrto1.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoerrto1.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoerrto1.F90	(revision 2010)
@@ -33,3 +33,4 @@
 ! SELFREFO: REAL     
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(forrefo,fracrefao,fracrefbo,kao,kbo,selfrefo)
 END MODULE YOERRTO1
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoerrto10.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoerrto10.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoerrto10.F90	(revision 2010)
@@ -32,3 +32,6 @@
 ! KB      : REAL     
 !     -----------------------------------------------------------------
+
+!$OMP THREADPRIVATE(fracrefao,fracrefbo,kao,kbo) 
+
 END MODULE YOERRTO10
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoerrto11.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoerrto11.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoerrto11.F90	(revision 2010)
@@ -34,3 +34,5 @@
 ! SELFREF : REAL     
 !     -----------------------------------------------------------------
+
+!$OMP THREADPRIVATE(fracrefao,fracrefbo,kao,kbo,selfrefo)
 END MODULE YOERRTO11
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoerrto12.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoerrto12.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoerrto12.F90	(revision 2010)
@@ -29,3 +29,6 @@
 ! SELFREF : REAL
 !     -----------------------------------------------------------------
+
+!$OMP THREADPRIVATE(fracrefao,kao,selfrefo)
+
 END MODULE YOERRTO12
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoerrto13.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoerrto13.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoerrto13.F90	(revision 2010)
@@ -30,3 +30,4 @@
 ! SELFREF : REAL
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(fracrefao,kao,selfrefo)
 END MODULE YOERRTO13
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoerrto14.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoerrto14.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoerrto14.F90	(revision 2010)
@@ -34,3 +34,4 @@
 ! SELFREF : REAL     
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(fracrefao,fracrefbo,kao,kbo,selfrefo)
 END MODULE YOERRTO14
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoerrto15.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoerrto15.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoerrto15.F90	(revision 2010)
@@ -30,3 +30,4 @@
 ! SELFREF : REAL 
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(fracrefao,kao,selfrefo)
 END MODULE YOERRTO15
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoerrto16.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoerrto16.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoerrto16.F90	(revision 2010)
@@ -30,3 +30,4 @@
 ! SELFREF : REAL     
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(fracrefao,kao,selfrefo)
 END MODULE YOERRTO16
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoerrto2.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoerrto2.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoerrto2.F90	(revision 2010)
@@ -35,3 +35,4 @@
 ! FORREFO : REAL  
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(forrefo,fracrefao,fracrefbo,kao,kbo,selfrefo)
 END MODULE YOERRTO2
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoerrto3.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoerrto3.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoerrto3.F90	(revision 2010)
@@ -39,3 +39,4 @@
 ! SELFREFO: REAL     
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(absn2oao,absn2obo,forrefo,fracrefao,fracrefbo,kao,kbo,selfrefo)
 END MODULE YOERRTO3
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoerrto4.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoerrto4.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoerrto4.F90	(revision 2010)
@@ -32,3 +32,4 @@
 ! SELFREF : REAL     
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(fracrefao,fracrefbo,kao,kbo,selfrefo)
 END MODULE YOERRTO4
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoerrto5.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoerrto5.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoerrto5.F90	(revision 2010)
@@ -35,3 +35,4 @@
 ! SELFREF : REAL     
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(ccl4o,fracrefao,fracrefbo,kao,kbo,selfrefo)
 END MODULE YOERRTO5
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoerrto6.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoerrto6.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoerrto6.F90	(revision 2010)
@@ -34,3 +34,4 @@
 ! SELFREF : REAL     
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(absco2o,cfc11adjo,cfc12o,fracrefao,kao,selfrefo)
 END MODULE YOERRTO6
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoerrto7.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoerrto7.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoerrto7.F90	(revision 2010)
@@ -35,3 +35,4 @@
 ! SELFREF : REAL  
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(absco2o,fracrefao,fracrefbo,kao,kbo,selfrefo)
 END MODULE YOERRTO7
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoerrto8.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoerrto8.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoerrto8.F90	(revision 2010)
@@ -46,3 +46,4 @@
 ! SELFREF : REAL     
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(absco2ao,absco2bo,absn2oao,absn2obo,cfc12o,cfc22adjo,fracrefao,fracrefbo,kao,kbo,selfrefo)
 END MODULE YOERRTO8
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoerrto9.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoerrto9.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoerrto9.F90	(revision 2010)
@@ -42,3 +42,4 @@
 ! SELFREF : REAL     
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(absn2oo,fracrefao,fracrefbo,kao,kbo,selfrefo)
 END MODULE YOERRTO9
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoerrtrf.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoerrtrf.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoerrtrf.F90	(revision 2010)
@@ -26,3 +26,4 @@
 ! TREF   : REAL
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(pref,preflog,tref)
 END MODULE YOERRTRF
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoerrtrwt.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoerrtrwt.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoerrtrwt.F90	(revision 2010)
@@ -32,3 +32,4 @@
 ! RWT    :  REAL   : 
 !    -------------------------------------------------------------------
+!$OMP THREADPRIVATE(frefa,frefadf,frefb,frefbdf,rwgt)
 END MODULE YOERRTRWT
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoerrtwn.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoerrtwn.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoerrtwn.F90	(revision 2010)
@@ -36,3 +36,4 @@
 ! TOTPLK16: REAL    :
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(delwave,ng,nspa,nspb,totplk16,totplnk,wavenum1,wavenum2)
 END MODULE YOERRTWN
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoesat.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoesat.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoesat.F90	(revision 2010)
@@ -53,3 +53,4 @@
 ! RGEAS : REAL    : LATITUDE OF EAST  LIMIT OF FIELD OF VIEW
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(lgeose,lgeosw,lgms,lindsa,lmto,lnoaa,lnoab,lnoac,lnoad,ngeo,npolo,rgalt,rgeas,rgnad,rgnor,rgsou,rgwst)
 END MODULE YOESAT
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoesrtaer.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoesrtaer.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoesrtaer.F90	(revision 2010)
@@ -32,4 +32,5 @@
 
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(rsrasya,rsrpiza,rsrtaua)
 END MODULE YOESRTAER
 
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoesrtcop.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoesrtcop.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoesrtcop.F90	(revision 2010)
@@ -127,4 +127,10 @@
 
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(rsaswa,rsaswb,rsaswc,rsaswd,rsaswe,rsaswf,rsecia,rsecib)
+!$OMP THREADPRIVATE(rsecic,rsecid,rsecie,rsecif,rsfla0,rsfla1,rsflb0,rsflb1)
+!$OMP THREADPRIVATE(rsflb2,rsflb3,rsflc0,rsflc1,rsflc2,rsflc3,rsfld0,rsfld1)
+!$OMP THREADPRIVATE(rsfld2,rsfld3,rsfua0,rsfua1,rsfub0,rsfub1,rsfub2,rsfub3)
+!$OMP THREADPRIVATE(rsfuc0,rsfuc1,rsfuc2,rsfuc3,rsssia,rsssie,rsssif,rsssig)
+!$OMP THREADPRIVATE(rsssih,rsssik,rsyfwa,rsyfwb,rsyfwc,rsyfwd,rsyfwe,rsyfwf)
 END MODULE YOESRTCOP
 
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoesrtop.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoesrtop.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoesrtop.F90	(revision 2010)
@@ -40,4 +40,7 @@
 !                    FU, 1996, J. CLIM., 9, 
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(abscld1,abscoice,abscoliq,asyice2,asyice3,asyliq1,extcoice)
+!$OMP THREADPRIVATE(extcoliq,extice2,extice3,extliq1,fdelta,fdlice3,forwice,forwliq)
+!$OMP THREADPRIVATE(gice,gliq,ssacoice,ssacoliq,ssaice2,ssaice3,ssaliq1)
 END MODULE YOESRTOP
 
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoesrtwn.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoesrtwn.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoesrtwn.F90	(revision 2010)
@@ -61,4 +61,6 @@
 !  RWGT   : REAL    : 
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(delwave,ng,ngbsw,ngc,ngm,ngn,ngs,nmpsrtm,nspa,nspb)
+!$OMP THREADPRIVATE(pref,preflog,rwgt,tref,wavenum1,wavenum2,wt,wtsm)
 END MODULE YOESRTWN
 
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoesw.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoesw.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoesw.F90	(revision 2010)
@@ -264,3 +264,15 @@
 ! NMPSRTM: INTEGER  : Indices for mapping SW[1:6] albedo into SRTM[1:14]  
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(apad,bpad,d,nexpo3,nmpsrtm,ntyps,radjust,raer,raswca)
+!$OMP THREADPRIVATE(raswcb,raswcc,raswcd,raswce,raswcf,rcga,rebcua,rebcub)
+!$OMP THREADPRIVATE(rebcuc,rebcud,rebcue,rebcuf,rebcug,rebcuh,rebcui,rebcuj)
+!$OMP THREADPRIVATE(reffia,reffib,rexpo3,rflaa0,rflaa1,rflbb0,rflbb1,rflbb2)
+!$OMP THREADPRIVATE(rflbb3,rflcc0,rflcc1,rflcc2,rflcc3,rfldd0,rfldd1,rfldd2)
+!$OMP THREADPRIVATE(rfldd3,rfuaa0,rfuaa1,rfubb0,rfubb1,rfubb2,rfubb3,rfucc0)
+!$OMP THREADPRIVATE(rfucc1,rfucc2,rfucc3,rfueta,rfuetb,rfuetc,rfulio,rhsavi)
+!$OMP THREADPRIVATE(rhsra,rhsrb,rhsrc,rhsrd,rhsre,rhsrf,rhsrta,rhsrtb,rlilia)
+!$OMP THREADPRIVATE(rlilib,rpdh1,rpdu1,rpiza,rpnh,rpnu,rrasy,rray,rriw,rroma)
+!$OMP THREADPRIVATE(rromb,rsusha,rsushc,rsushd,rsushe,rsushf,rsushfa,rsushg)
+!$OMP THREADPRIVATE(rsushh,rsushk,rswce,rswcp,rtaua,rtdh2o,rtdumg,rth2o,rtiw)
+!$OMP THREADPRIVATE(rtumg,rtweight,rweight,rweigs,rweigv,ryfwca,ryfwcb,ryfwcc,ryfwcd,ryfwce,ryfwcf)
 END MODULE YOESW
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoethf.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoethf.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoethf.F90	(revision 2010)
@@ -60,3 +60,6 @@
 
 !       ----------------------------------------------------------------
+!$OMP THREADPRIVATE(r2es,r3ies,r3les,r4ies,r4les,r5alscp,r5alvcp,r5ies,r5les)
+!$OMP THREADPRIVATE(ralfdcp,ralsdcp,ralvdcp,rhoh2o,rkoop1,rkoop2,rtber,rtbercu)
+!$OMP THREADPRIVATE(rtice,rticecu,rtwat,rtwat_rtice_r,rtwat_rticecu_r,rvtmp2)
 END MODULE YOETHF
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoevdf.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoevdf.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoevdf.F90	(revision 2010)
@@ -42,3 +42,4 @@
 !     *RPARSRF*   REAL     *DEPTH OF SURFACE LAYER AS FRACTION OF PBL-H 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(nvtypes,rentr,repdu2,rkap,rlam,rpar,rpar1,rparsrf,rvdifts)
 END MODULE YOEVDF
Index: LMDZ5/trunk/libf/phylmd/rrtm/yoewcou.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yoewcou.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yoewcou.F90	(revision 2010)
@@ -112,3 +112,5 @@
 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(cbegdat,lwcou,lwcou2w,lwcounorms,lwvin_mask_not_set,lwvin_uninitialised,mwvin_recvtot)
+!$OMP THREADPRIVATE(mwvin_sendtot,ndurat,nlat1w,nlatw,nlon1w,nlonw,nnorxw,nresum,nstpw,rdegrew,rnortw,rsoutw)
 END MODULE YOEWCOU
Index: LMDZ5/trunk/libf/phylmd/rrtm/yom_phys_grid.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yom_phys_grid.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yom_phys_grid.F90	(revision 2010)
@@ -110,3 +110,5 @@
 TYPE(TYPE_DYN_POINT),ALLOCATABLE :: YDYNPOI(:)
  
+!$OMP THREADPRIVATE(dyn_grid,dyn_sl,phys_grid,phys_sl)
+!$OMP THREADPRIVATE(ydynpoi,yphypoi)
 END MODULE YOM_PHYS_GRID
Index: LMDZ5/trunk/libf/phylmd/rrtm/yom_ygfl.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yom_ygfl.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yom_ygfl.F90	(revision 2010)
@@ -121,3 +121,9 @@
 
 !------------------------------------------------------------------
+!$OMP THREADPRIVATE(laerosfc,lghgsfc,lsf6sfc,nactaero,naero,ngfl_ext,ngfl_ezdiag,ngfl_forc,nghg,ngrg)
+!$OMP THREADPRIVATE(ntrac,ya,ya_nl,yaero,yaero_nl,ycpf,ycpf_nl,ycvgq,ycvgq_nl,ycvv,ycvv_nl,ydal,ydal_nl)
+!$OMP THREADPRIVATE(ydom,ydom_nl,yext,yext_nl,yezdiag,yezdiag_nl,yforc,yforc_nl,yg,yg_nl,ygfl,ygflc,yghg)
+!$OMP THREADPRIVATE(yghg_nl,ygrg,ygrg_nl,yi,yi_nl,yl,yl_nl,yo3,yo3_nl,yq,yq_nl,yqva,yqva_nl,yr,yr_nl,ys)
+!$OMP THREADPRIVATE(ys_nl,ysdsat,ysdsat_nl,yspf,yspf_nl,ysrc,ysrc_nl,ytke,ytke_nl,ytrac,ytrac_nl,yual)
+!$OMP THREADPRIVATE(yual_nl,yuen,yuen_nl,yunebh,yunebh_nl,yuom,yuom_nl)
 END MODULE YOM_YGFL
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomaer15.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomaer15.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomaer15.F90	(revision 2010)
@@ -32,3 +32,4 @@
 REAL(KIND=JPRB) :: RAER15 (5,6)
 
+!$OMP THREADPRIVATE(raer15,rcga15,rpiza15,taua15)
 END MODULE YOMAER15
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomaerd15.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomaerd15.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomaerd15.F90	(revision 2010)
@@ -70,3 +70,6 @@
 !     *RCAEROS15*  REAL      *BACKGROUND VALUE IN ABSENCE OF AEROSOLS.
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(raedc15,raeds15,raelc15,raels15,raesc15,raess15,raeuc15,raeus15,rcaeadk15,rcaeadm15)
+!$OMP THREADPRIVATE(rcaeopd15,rcaeopf15,rcaeopl15,rcaeops15,rcaeopu15,rcaeros15,rcstbga15,rctrbga15,rctrpt15,rcvobga15)
+!$OMP THREADPRIVATE(cvdaed15,cvdaef15,cvdael15,cvdaes15,cvdaeu15)
 END MODULE YOMAERD15
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomarar.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomarar.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomarar.F90	(revision 2010)
@@ -98,3 +98,9 @@
 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(larobu_enable,ldiagwmax,losigmas,losubg_aucv,losubg_cond,lowarm,lsquall)
+!$OMP THREADPRIVATE(macprg,macprr,macprs,malbdir,malbsca,mfrthds,mgz0,mgz0h,minprg,minprr,minprs)
+!$OMP THREADPRIVATE(mpabsm,mpsurf,mqvm,mrain,mrhodref,msfrv,msfsv,msfth,msfu,msfv,msnow,mswdif)
+!$OMP THREADPRIVATE(mswdir,mtm,mum,mvemis,mvm,mvqs,mvts,mzz,ndiagfr,ndiagwmax,ndtchem,ngpar)
+!$OMP THREADPRIVATE(nprintfr,nptp,nrefroi1,nrefroi2,nrr,nrri,nrrl,nsplitr,nsv,nswb_mnh,vsquall)
+!$OMP THREADPRIVATE(nbuproc,njbudg1,njbudg2,xsw_bands)
 END MODULE YOMARAR
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomarphy.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomarphy.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomarphy.F90	(revision 2010)
@@ -41,4 +41,5 @@
 CHARACTER(LEN=1) :: CCOUPLING
 !    -------------------------------------------------------------------
+!$OMP THREADPRIVATE(ccoupling,lbuflux,lkfbconv,lkfbd,lkfbs,lmicro,lmpa,lmse,lorilam,lrdust,lturb,lusechem)
 END MODULE YOMARPHY
 
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomcape.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomcape.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomcape.F90	(revision 2010)
@@ -44,3 +44,4 @@
 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(gcapepsd,gcaperet,ncapeiter,netapes)
 END MODULE YOMCAPE
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomcli.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomcli.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomcli.F90	(revision 2010)
@@ -107,3 +107,8 @@
 REAL(KIND=JPRB) :: SZZ0D
 
+!$OMP THREADPRIVATE(edlat,edlon,elatne,elatsw,elonne,elonsw,lglobe,lieee,ndatx,ndaty)
+!$OMP THREADPRIVATE(nglobx,ngloby,npint,nslice,ntpdes,ntpgla,ntplac,ntpmer,salbb,salbd)
+!$OMP THREADPRIVATE(salbg,salbm,salbn,salbx,sargd,sargn,sargx,sdepd,sdepn,sdepx,semib)
+!$OMP THREADPRIVATE(semid,semig,semim,semin,semix,sfcz0,smanq,smask,srsmd,srsmn,srsmx)
+!$OMP THREADPRIVATE(ssabd,ssabn,ssabx,sther,str,sveg,swr,szz0b,szz0d,szz0m,szz0n,szz0u)
 END MODULE YOMCLI
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomclop15.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomclop15.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomclop15.F90	(revision 2010)
@@ -67,3 +67,5 @@
 ! RRIW15   :  REAL   :  TRANSITION RANGE
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(rebcua15,rebcub15,rebcuc15,rebcud15,rebcue15,rebcuf15,rebcug15,rebcuh15)
+!$OMP THREADPRIVATE(reffia15,reffib15,reffwia15,rriw15,rtiw15,ryfwca15,ryfwcb15,ryfwcc15,ryfwcd15,ryfwce15,ryfwcf15)
 END MODULE YOMCLOP15
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomcoaphy.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomcoaphy.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomcoaphy.F90	(revision 2010)
@@ -21,3 +21,4 @@
 CHARACTER (LEN = 256) ::   CPTABLEDIR
 
+!$OMP THREADPRIVATE(cptabledir,cptablefil,nphyint,phys_gppbuf)
 END MODULE YOMCOAPHY
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomcst.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomcst.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomcst.F90	(revision 2010)
@@ -79,3 +79,7 @@
 
 !    ------------------------------------------------------------------
+!$OMP THREADPRIVATE(r,r1sa,ra,ralpd,ralps,ralpw,ratm,rbetd,rbets,rbetw,rclum,rcpd,rcpv,rcs,rcvd,rcvv,rcw)
+!$OMP THREADPRIVATE(rd,rday,rdt,rea,repsm,restt,retv,rg,rgamd,rgams,rgamw,rhpla,ri0,rkappa,rkbol,rlmlt)
+!$OMP THREADPRIVATE(rlstt,rlszer,rlvtt,rlvzer,rmch4,rmco,rmco2,rmd,rmhcho,rmn2o,rmno2,rmo3,rmra,rmsf6)
+!$OMP THREADPRIVATE(rmso2,rmv,rnavo,romega,rpi,rsiday,rsigma,rsiyea,rtt,rv)
 END MODULE YOMCST
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomct0.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomct0.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomct0.F90	(revision 2010)
@@ -467,3 +467,16 @@
 LOGICAL ::  LSFORC
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(cfclass,cfdirlst,cfpncf,cndispp,cnmexp,cnppath,ctype,l_screen_call,l_split_screen,lallopr,lalltc)
+!$OMP THREADPRIVATE(laprxpk,larome,larpegef,larpegef_rdgp_init,larpegef_rdgp_trajbg,larpegef_rdgp_trajhr)
+!$OMP THREADPRIVATE(larpegef_trajbg,larpegef_trajhr,lbackg,lcanari,lcasig,lelam,lfbdap,lfdbop,lfpart2,lfpos)
+!$OMP THREADPRIVATE(lgrbop,lguess,lifsmin,lifstraj,lminim,lmpdiag,lmpoff,lnf,lnhdyn,lnobgon,lobs,lobsc1,lobsref)
+!$OMP THREADPRIVATE(loldpp,lopdis,loutput,lpc_full,lpc_nesc,lpc_old,lrefgen,lrefout,lregeta,lretcfou,lrfoutcnorm)
+!$OMP THREADPRIVATE(lrfric,lrgptcnorm,lrough,lrplane,lrubc,lscmec,lscreen,lscreen_openmp,lsfcflx,lsforc,lsimob)
+!$OMP THREADPRIVATE(lsitric,lslag,lsmssig,lsprt,ltenc,ltwotl,lvercor,lwrtcfou,n2dini,n3dini,n_regions_ew,n_regions_ns)
+!$OMP THREADPRIVATE(ncntvar,nconf,ncycle,ndhfdts,ndhfgts,ndhfzts,ndhpts,nfrco,nfrcorm,nfrdhfd,nfrdhfg,nfrdhfz,nfrdhp)
+!$OMP THREADPRIVATE(nfrgdi,nfrhis,nfrisp,nfrmasscon,nfrpos,nfrsdi,ngdits,nhists,ninterpincr,ninterpincrlimit)
+!$OMP THREADPRIVATE(ninterpincrorder,ninterptraj,ninterptrajlimit,ninterptrajorder,nmasscons,noutput,npisps,nposts)
+!$OMP THREADPRIVATE(nprgpew,nprgpns,nprintlev,nproc,nprtrm,nprtrn,nprtrns,nprtrv,nprtrw,nquad,nsdits,nsppr,nstart)
+!$OMP THREADPRIVATE(nstepini,nstop,ntasks,rextlhf,rextshf,rextz0h,rextz0m,rtenc)
+!$OMP THREADPRIVATE(n_regions)
 END MODULE YOMCT0
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomct0b.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomct0b.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomct0b.F90	(revision 2010)
@@ -16,3 +16,4 @@
 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(lecmwf)
 END MODULE YOMCT0B
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomct3.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomct3.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomct3.F90	(revision 2010)
@@ -22,3 +22,4 @@
 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(lgpqinsp,lrecall_suhdf_in_cnt4,lspc_from_di,nstep)
 END MODULE YOMCT3
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomcver.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomcver.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomcver.F90	(revision 2010)
@@ -46,3 +46,5 @@
 ! -----------------------------------------------------------------------------
 
+!$OMP THREADPRIVATE(lsvtsm,lvertfe,lvsplip,nvsch)
+!$OMP THREADPRIVATE(rderi,rfaa,rfbb,rfcc,rfdd,rinte,rvspc,rvsptri,vrdetar)
 END MODULE YOMCVER
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomdim.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomdim.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomdim.F90	(revision 2010)
@@ -228,3 +228,13 @@
 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(lader,loptproma,lspt,luvder,lvor,ncmax,ncpec,ncpec2,ndgenfph)
+!$OMP THREADPRIVATE(ndgeng,ndgenh,ndgenl,ndglg,ndgll,ndgnh,ndgsafph,ndgsag,ndgsah)
+!$OMP THREADPRIVATE(ndgsal,ndgsur,ndgung,ndgunl,ndguxg,ndguxl,ndlon,ndlsm,ndlsur)
+!$OMP THREADPRIVATE(ndlung,ndluxg,ndsur1,nf3d,nfaux,nfc2d,nfd2d,nfgpnh,nflen,nflevg)
+!$OMP THREADPRIVATE(nflevl,nflevlmx,nflsa,nflsul,nflsur,nfppye,nfppyx,nfther,ngpblks)
+!$OMP THREADPRIVATE(nmsmax,nmtcmax,nppm,nproma,npromb,npromc,nprome,npromm,npromnh)
+!$OMP THREADPRIVATE(npromnh_gwadv,npromp,npromv,npromvc,nrlevx,ns1d,ns2d,ns3d,nsaux)
+!$OMP THREADPRIVATE(nsefre,nsmax,nsmin,nspec,nspec2,nspec2g,nspec2mx,nspecg,ntcmax,ntmax)
+!$OMP THREADPRIVATE(ntpec2,numcp,nump,numtp,numxp,nundefld,nvarmax,nxmax,nxpec,nxpecg)
+!$OMP THREADPRIVATE(ndlunl,ndluxl)
 END MODULE YOMDIM
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomdphy.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomdphy.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomdphy.F90	(revision 2010)
@@ -68,3 +68,5 @@
 LOGICAL            :: LTPROF
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(ltprof,ncextr,nchac,nchin,ncsi,ncsnec,ncxp,nloa,nloe,nsira,ntiles,ntoz1d,ntoz2d,ntoz3d,ntsl,ntssg)
+!$OMP THREADPRIVATE(ntvg,nvclis,nvextr,nvextrdyn,nvtend,nvxp,nvxp2,nvxtr2)
 END MODULE YOMDPHY
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomdyn.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomdyn.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomdyn.F90	(revision 2010)
@@ -563,3 +563,18 @@
 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(alphint,betadt,flccri,frandh,gammax,gammax0,hdirdiv,hdiro3,hdirpd,hdirq,hdirsp,hdirt)
+!$OMP THREADPRIVATE(hdirvd,hdirvor,hdsrdiv,hdsrvd,hdsrvor,hdtime_strhd,hrdirdiv,hrdiro3,hrdirpd,hrdirq)
+!$OMP THREADPRIVATE(hrdirsp,hrdirt,hrdirvd,hrdirvor,hrdsrdiv,hrdsrvd,hrdsrvor,l2tlff,ladvf,ladvfw,lchdif)
+!$OMP THREADPRIVATE(ldry_ecmwf,leltra,lfrein,lfreinf,limpf,lnewhd,lpc_xidt,lqmhp,lqmhpd,lqmht,lqmhvd,lqmhw)
+!$OMP THREADPRIVATE(lqmp,lqmpd,lqmt,lqmvd,lqmw,lrephd,lrhdi_lastiterpc,lrspline_p,lrspline_spd,lrspline_svd)
+!$OMP THREADPRIVATE(lrspline_t,lrspline_w,lsettls,lsidg,lsl_unlphy_f,lstrhd,lverave_hluv,lverflt,ncomp_cvgq)
+!$OMP THREADPRIVATE(ncurrent_iter,ndlnpr,nitmp,nlevvf,nrubc,nsiter,nspdlag,nsrefdh,nsvdlag,ntlag,nvlag,nwlag)
+!$OMP THREADPRIVATE(rcmslp0,rdampdiv,rdampdivs,rdamphds,rdampo3,rdamppd,rdampq,rdampsp,rdampt,rdampvd,rdampvds)
+!$OMP THREADPRIVATE(rdampvor,rdampvors,refgeo,reps1,reps2,repsm1,repsm2,repsp1,repsvfdi,repsvfvo,rexpdh,rexpdhs)
+!$OMP THREADPRIVATE(rfrein,rhydr0,rrdxtau,rtemrb,rw2tlff,sdred,sipr,siprub,sirprg,sirprn,sitime,sitr,sitra,sitrub)
+!$OMP THREADPRIVATE(slevdh,slevdh2,slevdh3,slevdhs,slevdhs2,slhda0,slhdb,slhdkmax,tdt,tstep,vcak,vcpr,vctr,vesl)
+!$OMP THREADPRIVATE(vetaon,vetaox,vmax1,vmax2,vnorm,xidt)
+!$OMP THREADPRIVATE(gmr,rcordif,rcordih,rcordit,rdhi,rdhs,rdidiv,rdigfl,rdipd,rdisp,rditg,rdivd,rdivor,rdsdiv)
+!$OMP THREADPRIVATE(rdsvd,rdsvor,rkrf,s2eta,scgmap,sialph,sib,sidelp,sidphi,sifac,sifaci,siheg,siheg2,sihegb)
+!$OMP THREADPRIVATE(sihegb2,silnpr,simi,simo,sirdel,sirub,sitlaf,sitlah,sitrica,sitricb,sitricc,sivp,slhda,slhdd0)
 END MODULE YOMDYN
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomfa.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomfa.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomfa.F90	(revision 2010)
@@ -69,3 +69,7 @@
 TYPE(FAD) :: YFAQVA  ! Total humidity amplitude variation of Q+L+I
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(nbitcs,nbitpg,npulap,nstron,nvgrib,yfaclf,yfacpf,yfacvgq,yfacvv,yfadal,yfadom,yfafsp1)
+!$OMP THREADPRIVATE(yfafsp2,yfafsp3,yfafsp4,yfafsp5,yfag,yfai,yfakhi,yfal,yfao3,yfaorog,yfapd,yfapsi,yfaq)
+!$OMP THREADPRIVATE(yfaqva,yfar,yfas,yfasdsat,yfasp,yfaspf,yfasrc,yfat,yfatke,yfaual,yfauen,yfaugeo)
+!$OMP THREADPRIVATE(yfaunebh,yfauom,yfavd,yfavgeo)
 END MODULE YOMFA
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomfpc.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomfpc.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomfpc.F90	(revision 2010)
@@ -244,3 +244,11 @@
 INTEGER(KIND=JPIM) :: NFPMASK
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(c1fp2df,c1fp3df,c1fp3dfh,c1fp3dfp,c1fp3dfs,c1fp3dft,c1fp3dfv,c1fpcfu,c1fpdom,c1fpphy,c1fpxfu)
+!$OMP THREADPRIVATE(cfp2df,cfp3df,cfp3dfh,cfp3dfp,cfp3dfs,cfp3dft,cfp3dfv,cfpcfu,cfpdir,cfpdom,cfpfmt,cfpiden)
+!$OMP THREADPRIVATE(cfpphy,cfpxfu,fpbl,lasq,lfitp,lfitt,lfitv,lfpcnt,lfplosp,lfpmois,lfpnhpd,lfpnhvd,lfpnhvw)
+!$OMP THREADPRIVATE(lfpq,lfprh100,lfpspec,lmoconvar,ltracefp,mfp2df,mfp2dyn,mfp3dfh,mfp3dfp,mfp3dfs,mfp3dft)
+!$OMP THREADPRIVATE(mfp3dfv,mfp3dyn,mfpphy,nfp2df,nfp3df,nfp3dfh,nfp3dfp,nfp3dfs,nfp3dft,nfp3dfv,nfp3h,nfp3p)
+!$OMP THREADPRIVATE(nfp3pv,nfp3s,nfp3th,nfpcape,nfpcfu,nfpcli,nfpdom,nfpdphy,nfpgrib,nfpincr,nfpindyn,nfpinphy)
+!$OMP THREADPRIVATE(nfplake,nfplnpr,nfpmask,nfpphy,nfpsurfex,nfpxfu,nfpxlev,nrfp3s,rfp3h,rfp3p,rfp3pv,rfp3th)
+!$OMP THREADPRIVATE(rfpcd2,rfpcorr,rfpcsab,rfpvcap,wdxi,wdxo,wsxi,wsxo)
 END MODULE YOMFPC
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomgc.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomgc.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomgc.F90	(revision 2010)
@@ -63,3 +63,6 @@
 
 !      ----------------------------------------------------------------
+
+!$OMP THREADPRIVATE(gaw,geclo,gelam,gelat,gemu,geslo,gm,gnordl,gnordlcl,gnordm,gnordmcl,gnordmcm,gomvrl)
+!$OMP THREADPRIVATE(gomvrm,gsqm2,ngplat,nuniquegp,orog,orogl,orogll,oroglm,orogm,orogmm,rcori,rcoric)
 END MODULE YOMGC
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomgem.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomgem.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomgem.F90	(revision 2010)
@@ -187,3 +187,7 @@
 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(nbeegp,nbnegp,ngptot,ngptot_cap,ngptotg,ngptotmx,nhtyp,nsttyp,r4jp,rc2m1,rc2p1,rcor0)
+!$OMP THREADPRIVATE(rcor1,rcor2,reflcape,reflkuo,reflrhc,rlocen,rmucen,rnlginc,rstret,teqc,teqh,teqk,toppres,vp00,vrlevx)
+!$OMP THREADPRIVATE(ndglu,nestagp,ngptotl,nloen,nloeng,nmen,nmeng,nmentc,nstagp,ntstagp,nvautf,nvauth,ratath,ratatx)
+!$OMP THREADPRIVATE(rcolon,rindx,rindy,rsilon,vaf,vah,valh,vbf,vbh,vc,vcuico,vcuicoh,vdela,vdelb,vetaf,vetah,vrdetah)
 END MODULE YOMGEM
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomgrb.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomgrb.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomgrb.F90	(revision 2010)
@@ -670,3 +670,33 @@
 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(mbitsgg,mbitssh,mensfnb,mgrbs2,mgrbs3,mjdiag,mjdomai,mjiter,mlocgrb,msec0,msec1,msec2spm,msec2spp)
+!$OMP THREADPRIVATE(msec3,msec4,msmaxnp,mtotens,nbitsgg,nbitssh,ncalval,nconsensus,ndwd,nensfnb,ngrb080,ngrb081)
+!$OMP THREADPRIVATE(ngrb082,ngrb083,ngrb084,ngrb085,ngrb086,ngrb087,ngrb088,ngrb089,ngrb090,ngrb091,ngrb092,ngrb093)
+!$OMP THREADPRIVATE(ngrb094,ngrb095,ngrb096,ngrb097,ngrb098,ngrb099,ngrb100,ngrb101,ngrb102,ngrb103,ngrb104,ngrb105)
+!$OMP THREADPRIVATE(ngrb106,ngrb107,ngrb108,ngrb109,ngrb10fg,ngrb10u,ngrb10v,ngrb110,ngrb111,ngrb112,ngrb113,ngrb114)
+!$OMP THREADPRIVATE(ngrb115,ngrb116,ngrb117,ngrb118,ngrb119,ngrb120,ngrb149,ngrb150,ngrb153,ngrb154,ngrb207,ngrb21)
+!$OMP THREADPRIVATE(ngrb214,ngrb215,ngrb216,ngrb217,ngrb218,ngrb219,ngrb22,ngrb222,ngrb223,ngrb224,ngrb225,ngrb226)
+!$OMP THREADPRIVATE(ngrb227,ngrb23,ngrb241,ngrb242,ngrb249,ngrb250,ngrb251,ngrb252,ngrb253,ngrb254,ngrb255,ngrb2d)
+!$OMP THREADPRIVATE(ngrb2t,ngrbaerdep,ngrbaergn01,ngrbaergn02,ngrbaergn03,ngrbaergn04,ngrbaergn05,ngrbaergn06)
+!$OMP THREADPRIVATE(ngrbaergn07,ngrbaergn08,ngrbaergn09,ngrbaergn10,ngrbaergn11,ngrbaergn12,ngrbaergn13,ngrbaergn14)
+!$OMP THREADPRIVATE(ngrbaergn15,ngrbaerlg,ngrbaerls01,ngrbaerls02,ngrbaerls03,ngrbaerls04,ngrbaerls05,ngrbaerls06)
+!$OMP THREADPRIVATE(ngrbaerls07,ngrbaerls08,ngrbaerls09,ngrbaerls10,ngrbaerls11,ngrbaerls12,ngrbaerls13,ngrbaerls14)
+!$OMP THREADPRIVATE(ngrbaerls15,ngrbaerlts,ngrbaermr01,ngrbaermr02,ngrbaermr03,ngrbaermr04,ngrbaermr05,ngrbaermr06)
+!$OMP THREADPRIVATE(ngrbaermr07,ngrbaermr08,ngrbaermr09,ngrbaermr10,ngrbaermr11,ngrbaermr12,ngrbaermr13,ngrbaermr14)
+!$OMP THREADPRIVATE(ngrbaermr15,ngrbaerpr,ngrbaerscc,ngrbaersm,ngrbal,ngrbalnid,ngrbalnip,ngrbaluvd,ngrbaluvp,ngrbanor)
+!$OMP THREADPRIVATE(ngrbaodlg,ngrbaodpr,ngrbaodsm,ngrbasn,ngrbat,ngrbbld,ngrbblh,ngrbbv,ngrbcape,ngrbcc,ngrbccc)
+!$OMP THREADPRIVATE(ngrbchar,ngrbci,ngrbciwc,ngrbclwc,ngrbco2a,ngrbco2b,ngrbco2o,ngrbcp,ngrbcsf,ngrbcvh,ngrbcvl,ngrbd)
+!$OMP THREADPRIVATE(ngrbe,ngrbemis,ngrbes,ngrbewov,ngrbewss,ngrbfal,ngrbflsr,ngrbfsr,ngrbgh,ngrbghg,ngrbgrg,ngrbgwd)
+!$OMP THREADPRIVATE(ngrbhcc,ngrbie,ngrbiews,ngrbinss,ngrbishf,ngrbisor,ngrbistl1,ngrbistl2,ngrbistl3,ngrbistl4,ngrblcc)
+!$OMP THREADPRIVATE(ngrblgws,ngrblnsp,ngrblsf,ngrblsm,ngrblsp,ngrblspf,ngrblsrh,ngrbmaxxtra,ngrbmcc,ngrbmgws)
+!$OMP THREADPRIVATE(ngrbminxtra,ngrbmn2t,ngrbmont,ngrbmsl,ngrbmx2t,ngrbneov,ngrbnsov,ngrbnsss,ngrbnwov,ngrbo3,ngrbpaw)
+!$OMP THREADPRIVATE(ngrbpthpv,ngrbpv,ngrbq,ngrbr,ngrbro,ngrbrsn,ngrbs2,ngrbs3,ngrbsd,ngrbsdfor,ngrbsdor,ngrbsf,ngrbsf6)
+!$OMP THREADPRIVATE(ngrbskt,ngrbslhf,ngrbslor,ngrbsmlt,ngrbsp,ngrbspar,ngrbsparc,ngrbspd,ngrbsr,ngrbsrc,ngrbsshf,ngrbssr)
+!$OMP THREADPRIVATE(ngrbssrc,ngrbssrd,ngrbsst,ngrbstinc,ngrbstl1,ngrbstl2,ngrbstl3,ngrbstl4,ngrbstr,ngrbstrc,ngrbstrd)
+!$OMP THREADPRIVATE(ngrbsund,ngrbsuvb,ngrbsvd,ngrbswl1,ngrbswl2,ngrbswl3,ngrbswl4,ngrbt,ngrbtbt,ngrbtcc,ngrbtcghg)
+!$OMP THREADPRIVATE(ngrbtcgrg,ngrbtciw,ngrbtclw,ngrbtco3,ngrbtctrac,ngrbtcw,ngrbtcwv,ngrbth,ngrbtp,ngrbtrac,ngrbtsn)
+!$OMP THREADPRIVATE(ngrbtsp,ngrbtsr,ngrbtsrc,ngrbttr,ngrbttrc,ngrbtvh,ngrbtvl,ngrbu,ngrbv,ngrbveg,ngrbvimd,ngrbvo)
+!$OMP THREADPRIVATE(ngrbvso,ngrbw,ngrbz,njdiag,njdomai,njiter,nleg,nlocgrb,nmethod,nmfr,nncep,nreference,nsec0,nsec1)
+!$OMP THREADPRIVATE(nsec2spm,nsec2spp,nsec3,nsec4,nsmaxnp,nsteplpp,nstream,nsystem,ntotens,nukm,rsec3,ssec3)
+!$OMP THREADPRIVATE(msec2gg,ngrbgp2,ngrbgp3,ngrbsp2,ngrbsp3,nsec2gg,rsec2,ssec2)
 END MODULE YOMGRB
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomgstats.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomgstats.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomgstats.F90	(revision 2010)
@@ -98,4 +98,10 @@
 INTEGER(KIND=JPIM) :: NPRNT_STATS=3
 
+!$OMP THREADPRIVATE(ccdesc,cctype,lbarrier_stats,ldetailed_stats,lgstats_label,lstats,lstats_alloc)
+!$OMP THREADPRIVATE(lstats_comms,lstats_mem,lstats_omp,lstatscpu,lsyncstats,ltrace_stats,myproc_stats)
+!$OMP THREADPRIVATE(ncalls,ncalls_total,nprnt_stats,nproc_stats,nstats_mem,ntmem,ntrace_stats,thistcpu)
+!$OMP THREADPRIVATE(thistime,thisvcpu,time_last_call,timelcall,timemax,timesqsum,timesum,timesumb)
+!$OMP THREADPRIVATE(ttcpulcall,ttcpusum,tvcpulcall,tvcpusum)
+!$OMP THREADPRIVATE(ncall_trace,nprcids_stats,time_start,time_trace)
 END MODULE YOMGSTATS
 
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomjfh.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomjfh.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomjfh.F90	(revision 2010)
@@ -13,3 +13,4 @@
 !    -----------------------------------------------------------------
 
+!$OMP THREADPRIVATE(n_vmass)
 END MODULE YOMJFH
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomleg.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomleg.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomleg.F90	(revision 2010)
@@ -38,3 +38,4 @@
 REAL(KIND=JPRB),ALLOCATABLE:: RIPI2(:)
 
+!$OMP THREADPRIVATE(r1mu2,r1mua,r1mui,r1qm2,racthe,ripi0,ripi1,ripi2,rlati,rlatig,rmu,rsqm2,rw)
 END MODULE YOMLEG
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomlun.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomlun.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomlun.F90	(revision 2010)
@@ -138,3 +138,8 @@
 INTEGER(KIND=JPIM) :: NULTRAJBG
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(nbias,ncmafl,nefls,neflss,negash,nfgigg,nfgish,ninigg,ninish,ninmsh,npdirl,npoddh,npossh)
+!$OMP THREADPRIVATE(npppsh,nscasig,nscaspe,nscatab,nscrtch,ntcsr,ntide,ntrjsh,nulase,nulass,nulcl1,nulcl2,nulco)
+!$OMP THREADPRIVATE(nulcont,nuldila,nulfp01,nulfp02,nulfp03,nulfp04,nulfp05,nulfp06,nulfp07,nulfp08,nulfp09)
+!$OMP THREADPRIVATE(nulfp10,nulfp11,nulfp12,nulfp13,nulfp14,nulfp15,nulfpos,nulhwf,nulrad,nulrcf,nulref,nulrotc)
+!$OMP THREADPRIVATE(nulrtl,nulstat,nultmp,nultrajbg,nultrajhr,nulusr1,nulusr2,nulusr3,nulusr4,nulusr5,nuo3ch1,nuo3ch2)
 END MODULE YOMLUN
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomlun_ifsaux.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomlun_ifsaux.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomlun_ifsaux.F90	(revision 2010)
@@ -18,3 +18,4 @@
 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(nulerr,nulout)
 END MODULE YOMLUN_IFSAUX
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomlw15.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomlw15.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomlw15.F90	(revision 2010)
@@ -77,3 +77,6 @@
 !  RVGO315  :  REAL     RESIDUAL PRESSURE FOR O3  VOIGT LINE HALF-WIDTH
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(at15,bt15,ga15,gb15,mxixt15,ng115,ng1p115,nint15,nipd15,nipd215)
+!$OMP THREADPRIVATE(ntr15,ntra15,nua15,o1h15,o2h15,oct15,rntnu15,rpialf015,rt115,rvgco215)
+!$OMP THREADPRIVATE(rvgh2o15,rvgo315,tintp15,tref15,tstand15,tstp15,wg115,xp15)
 END MODULE YOMLW15
Index: LMDZ5/trunk/libf/phylmd/rrtm/yommddh.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yommddh.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yommddh.F90	(revision 2010)
@@ -230,3 +230,12 @@
 ! ---- DDH
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(bdeddh,fnoddh,hdsfgl,ndhaend,ndhaenp,ndhahkd,ndhahkp,ndhamcd)
+!$OMP THREADPRIVATE(ndhamcp,ndhavd,ndhavp,ndhbend,ndhbenp,ndhbhkd,ndhbhkp,ndhbmcd)
+!$OMP THREADPRIVATE(ndhbmcp,ndhbpu,ndhbpx,ndhbvd,ndhbvp,ndhcs,ndhcssu,ndhcv,ndhcvsu)
+!$OMP THREADPRIVATE(ndhcvsul,ndhcvsun,ndhddx,ndhfend,ndhfenp,ndhffs,ndhfhkd,ndhfhkp)
+!$OMP THREADPRIVATE(ndhfiis,ndhfmcd,ndhfmcp,ndhfsd,ndhfsp,ndhfsss,ndhftis,ndhftls)
+!$OMP THREADPRIVATE(ndhftss,ndhftts,ndhfvd,ndhfvp,ndhfwls,ndhidh,ndhkd,ndhnom,ndhnpu)
+!$OMP THREADPRIVATE(ndhten,ndhthk,ndhtmc,ndhven,ndhvfs,ndhvhk,ndhviis,ndhvmc,ndhvs)
+!$OMP THREADPRIVATE(ndhvsss,ndhvtis,ndhvtls,ndhvtss,ndhvtts,ndhvv,ndhvwls,ndhzpr)
+!$OMP THREADPRIVATE(hdsf,hdsfdu,hdsfla,nddhi,nddhla,nddhpu,nlrddh,nlxddh,nurddh,nuxddh)
 END MODULE YOMMDDH
Index: LMDZ5/trunk/libf/phylmd/rrtm/yommp.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yommp.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yommp.F90	(revision 2010)
@@ -466,3 +466,16 @@
 ! ----------------------------------------------------------------------
 
+!$OMP THREADPRIVATE(leq_regions,limp,limp_noolap,lockio,lsplit,lsplitout,mbx_size,mp_type,my_region_ew,my_region_ns)
+!$OMP THREADPRIVATE(myfrstactlat,mylstactlat,myproc,myseta,mysetb,mysetm,mysetn,mysetv,mysetw,nafpb1,napsets,narib1)
+!$OMP THREADPRIVATE(narob1,naslb1,nblkout,nbsetsp,ncombflen,ncpec2v,nfldin,nfldout,nfpmpbufsz,nfpprocs,nfprpt,nfpspt)
+!$OMP THREADPRIVATE(nfrstloff,ngathout,nintype,nouttype,npsp,nptrfloff,nrimpbufsz,nriprocs,nrirpt,nrispt,nrompbufsz)
+!$OMP THREADPRIVATE(nroprocs,nrorpt,nrospt,nslmpbufsz,nslpad,nslprocs,nslrpt,nslspt,nspec2v,nspec2vf,nstrin,nstrout)
+!$OMP THREADPRIVATE(ntpec2v,numxp,nwrtout)
+!$OMP THREADPRIVATE(lsplitlat,mylats,mylevs,nallms,nbsetlev,nfpcomm,nfpcore,nfpext,nfpoff,nfponl,nfprecvpos,nfprecvptr)
+!$OMP THREADPRIVATE(nfpsendpos,nfpsendptr,nfpsta,nfrstlat,nglobalindex,nglobalproc,ngpset2pe,nlocalindex,nlstlat,noboff)
+!$OMP THREADPRIVATE(nobonl,nobsta,nonl,nprcids,nprocm,npsurf,nptrcv,nptrfrstlat,nptrlat,nptrll,nptrls,nptrlstlat,nptrmf)
+!$OMP THREADPRIVATE(nptrms,nptrsv,nptrsvf,nptrtv,nrecvptr,nricomm,nricore,nriext,nrioff,nrionl,nrirecvpos,nrirecvptr)
+!$OMP THREADPRIVATE(nrisendpos,nrisendptr,nrista,nrocomm,nrocore,nroext,nrooff,nroonl,nrorecvpos,nrorecvptr,nrosendpos)
+!$OMP THREADPRIVATE(nrosendptr,nrosta,nsendptr,nslcomm,nslcore,nslext,nsloff,nslonl,nslrecvpos,nslsendpos,nslsta)
+!$OMP THREADPRIVATE(nspstaf,nsta,numll,numpp,numprocfp,numvmo,numvmojb,numxpp,nvmodist)
 END MODULE YOMMP
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomoml.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomoml.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomoml.F90	(revision 2010)
@@ -46,4 +46,5 @@
 
 LOGICAL :: OML_DEBUG = .FALSE.
+!$OMP THREADPRIVATE(OML_DEBUG)
 
 PUBLIC OML_WAIT_EVENT, OML_SET_EVENT, OML_INCR_EVENT, &
@@ -62,7 +63,9 @@
 !-- Note: Still JPIM !!
 INTEGER(KIND=JPIM) :: M_EVENT = 0
+!$OMP THREADPRIVATE(M_EVENT)
 
 !-- Note: OML_LOCK_KIND, not JPIM !!
 INTEGER(KIND=OML_LOCK_KIND) :: M_LOCK(2) = (/-1, -1/)
+!$OMP THREADPRIVATE(M_LOCK)
 
 CONTAINS
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomphy.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomphy.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomphy.F90	(revision 2010)
@@ -412,3 +412,13 @@
 INTEGER(KIND=JPIM), PARAMETER  ::  JPHYARO =   3  ! for AROME physics
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(cgmixlen,l1drhcri,l2phys,l3mt,ladjcld,laerodes,laerolan,laerosea,laerosoo,laerosul)
+!$OMP THREADPRIVATE(laerovol,lajucv,lautoneb,lbccond,lblvar,lcape,lcddpro,lclsatur,lcollec,lcondwt,lcvcas)
+!$OMP THREADPRIVATE(lcvdd,lcvlis,lcvpgy,lcvpp,lcvppkf,lcvpro,lcvra,lcvrav3,ldifcons,lect,lectfl,levapp,lfgel)
+!$OMP THREADPRIVATE(lfgels,lfpcor,lglt,lgwd,lgwdc,lgwrhcri,lhmto,lhucn,lhuneg,lmphys,lnd2diff,lnebco,lnebgr)
+!$OMP THREADPRIVATE(lnebgy,lnebn,lnebnxr,lnebr,lnebt,lneige,lnewd,lnewstat,lnoias,lnsmlis,lo3abc,lozone,lpble)
+!$OMP THREADPRIVATE(lphcdpi,lphspsh,lpil,lprgml,lprocld,lptke,lqxrtgh,lrautoev,lray,lrayfm,lrayfm15,lraylu)
+!$OMP THREADPRIVATE(lraypl,lreasur,lrelaxt,lrelaxw,lrews,lrmix,lrnumx,lrprox,lrrgust,lrrmes,lrstab,lrtdl)
+!$OMP THREADPRIVATE(lrtpp,lscmf,lsfhyd,lslc,lsmnimbt,lsmrot,lsmtps,lsnv,lsolv,lsrcon,lsrcont,lssd,lstra)
+!$OMP THREADPRIVATE(lstrapro,lstras,lthermo,lvdif,lvfull,lvgsn,lvoigt,lz0hsrel,nbiter,ndpsfi,noir,nphy)
+!$OMP THREADPRIVATE(nphyrep,nprac,nprag,nprri,nsmdneb,nsmtbot)
 END MODULE YOMPHY
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomphy0.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomphy0.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomphy0.F90	(revision 2010)
@@ -706,3 +706,21 @@
 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(a0ml_at,a0ml_au,a0ml_bt,a0ml_bu,acbrphim,acg,adise,adisi,aecls3,aecls4,aercs1,aercs3,aercs5)
+!$OMP THREADPRIVATE(agre1,agre2,agref,agreke,agrericr,ahclpv,aj1meps,aj1peps,ajbumin,akn,ald,alfx,almav,almave)
+!$OMP THREADPRIVATE(alphae,alphat,arsb2,arsc1,arsc2,arsch,arscq,arsct,bedifv,ecmnp,ecmnpi,ectmin,edb,edc,edd,edk)
+!$OMP THREADPRIVATE(eps,etacut,evap,fentrt,fevapc,fnebc,font,fqlic,galp,gamap1,gamtke,gccsv,gcismin,gcomod,gcvachi)
+!$OMP THREADPRIVATE(gcvadmw,gcvads,gcvalfa,gcvalmx,gcvbee,gcvbeta,gcveex,gcvmlt,gcvnu,gcvpsi,gcvpsie,gcvsqdcx)
+!$OMP THREADPRIVATE(gcvsqdn,gcvsqdr,gddbeta,gddeva,gddevf,gddsde,gddwpf,gfric,gpblhk0,gpblhra,grcvpp,grhcmod,grrinte)
+!$OMP THREADPRIVATE(grrmina,gwbfaut,gwdamp,gwdbc,gwdcco,gwdcd,gwdlt,gwdprof,gwdse,gwdvali,hcmin,hobst,hucoe,hucoe2)
+!$OMP THREADPRIVATE(hutil,hutil1,hutil2,najiter,npclo1,npclo2,nrhcri,nsmtpa,nsmtpb,nuptke,qsmin,qsnebc,qsnebs,qssc)
+!$OMP THREADPRIVATE(qssusc,qssuss,qssusv,qsusxc,qsusxs,qxral,qxrdel,qxrhx,qxrr,qxrtgh,raccef,raggef,rauitn,rauitx)
+!$OMP THREADPRIVATE(rauiuste,rautefr,rautefs,rautsbet,rcin,rcoflm,rcoll,rcvevap,rdphic,rdtfac,retamin,revgsl,rfacnsm)
+!$OMP THREADPRIVATE(rfalll,rhcrit1,rhcrit2,rhevap,ricret,ricrlm,rkdn,rnegat,rnintr,rnints,rnlcurv,rphi0,rphir,rqcrns)
+!$OMP THREADPRIVATE(rqicrmax,rqicrmin,rqicrsn,rqicrt1,rqicrt2,rqicvmax,rqicvmin,rqlcr,rqlcv,rrgamma,rrimef,rrscale)
+!$OMP THREADPRIVATE(rsmdnebx,rsmdtx,rtcape,rwbf1,rwbf2,sco,sensl,snnbco,spnbco,sttbmin,sxnbco,tca,tct,tctc,tcw,tddbu)
+!$OMP THREADPRIVATE(tddfr,tddgp,tentr,tentrd,tentrvl,tentrx,tfvr,tfvs,trentrv,tudbu,tudfr,tudgp,turb,tvf,tvfc,tym)
+!$OMP THREADPRIVATE(ucwstar,udect,ueteps,uhdifv,untier,upreclp,upretmax,upretmin,usdmlt,ushearm,usuprc,usuric,usurice)
+!$OMP THREADPRIVATE(usuricl,usurid,usuride,utilgust,vchrnk,vkarmn,vvn,vvx,vz0cm,vziustar0,xblm,xklm,xmaxlm,xminlm)
+!$OMP THREADPRIVATE(xnbmax,xwsalm,xwsblm)
+!$OMP THREADPRIVATE(rhcri)
 END MODULE YOMPHY0
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomphy1.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomphy1.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomphy1.F90	(revision 2010)
@@ -304,3 +304,11 @@
 INTEGER(KIND=JPIM) :: NCHSP
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(alb1,alb2,albgla,albmax,albmed,albmer,albmin,alcrin,alrcn1,alrcn2,ea,ec2ref,emcrin,emmgla)
+!$OMP THREADPRIVATE(emmmer,ewfc,ewwilt,g1b,g1c1sat,g1cgsat,g1p,g1wsat,g2b,g2c1sat,g2cgsat,g2p,g2wsat,g3cgsat)
+!$OMP THREADPRIVATE(ga,gc1,gc1s1,gc1s2,gc1s3,gc1s4,gc1y1,gc2,gc2ref,gc3,gc31,gc32,gcgel,gcgels,gconv,gcz0h,gf1)
+!$OMP THREADPRIVATE(gf3,gf4,glaimx,glaimxs,gneimx,gneimxs,gsnc1,gsnc2,gtsvap,gvegmx,gvegmxs,gwfc,gwlex,gwlmx)
+!$OMP THREADPRIVATE(gwpimx,gwwilt,hsol,hsolit0,hsoliwr,lc1vap,limc,limw,nchsp,ntvgla,ntvmer,omtpro,omwpro,rc1max)
+!$OMP THREADPRIVATE(rcgmax,rctgla,rctveg,rd1,rd2gla,rd2mer,rgl,rhomax,rhomin,rlai,rlaimx,rsmax,rtiner,rz0gla)
+!$OMP THREADPRIVATE(rz0mer,rzhgla,rzhmer,rzhz0g,rzhz0m,sodelx,tmergl,toexp,tolin,tref4,wcrin,wcrinc,wcring)
+!$OMP THREADPRIVATE(wnew,wpmx,wsmx,xcrinr,xcrinv)
 END MODULE YOMPHY1
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomphy2.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomphy2.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomphy2.F90	(revision 2010)
@@ -65,3 +65,5 @@
 LOGICAL :: LMULAF
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(facraf,gz0raf,hclp,htcls,htshm,htsml,hvcls,lmulaf,lraftur,ntshm,ntsml,ripblc,tsphy)
+!$OMP THREADPRIVATE(xdamp,xmucvpp,xmulaf)
 END MODULE YOMPHY2
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomphy3.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomphy3.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomphy3.F90	(revision 2010)
@@ -192,3 +192,8 @@
 REAL(KIND=JPRB) :: REXP_NEB
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(bsfsa,bsfsi,bsfsn,bsfta,bsfti,bsftn,earrt,eoasa,eoasi,eoasn,eoata,eoati,eoatn,eodsa,eodsi)
+!$OMP THREADPRIVATE(eodsn,eodta,eodti,eodtn,eoray,fcm_del_a,fcm_del_d,fcm_mu_a,fcm_mu_d,fcm_n_i,fcm_n_l,fcm_p_ai)
+!$OMP THREADPRIVATE(fcm_p_al,fcm_p_di,fcm_p_dl,fcm_p_gi,fcm_p_gl,fcm_q_ai,fcm_q_al,fcm_q_di,fcm_q_dl,fcm_q_gi)
+!$OMP THREADPRIVATE(fcm_q_gl,gca,gcb,gcc,gcd4,gce4,girec1,girec2,girec3,girec4,qco2,qlimi,qlip0,rexp_neb,rii0)
+!$OMP THREADPRIVATE(usaa,usai,usan,usba,usbi,usbn,vdp,vnp)
 END MODULE YOMPHY3
Index: LMDZ5/trunk/libf/phylmd/rrtm/yompldsw.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yompldsw.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yompldsw.F90	(revision 2010)
@@ -10,3 +10,4 @@
 LOGICAL :: LOPT_RS6K
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(lopt_rs6k,lopt_scalar)
 END MODULE YOMPLDSW
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomprad.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomprad.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomprad.F90	(revision 2010)
@@ -145,3 +145,8 @@
 INTEGER(KIND=JPIM),ALLOCATABLE:: NRCRCVWO(:,:,:)
 INTEGER(KIND=JPIM),ALLOCATABLE:: NRCRCVEO(:,:,:)
+!$OMP THREADPRIVATE(lodbgradi,lodbgradl,lradondem,lradondem_active,nfixradfld,nrimaxla,nrimaxlb)
+!$OMP THREADPRIVATE(nrimaxln,nrimaxlt,nrimaxt,nrlbchunks,nrlbdata,nrlbpoints,nrlprcs,nrlrchunks)
+!$OMP THREADPRIVATE(nrlrdata,nrlrpoints,radgrid)
+!$OMP THREADPRIVATE(mask_ri1,mask_ri2,mask_ro1,mask_ro2,nrcneede,nrcneedw,nrcrcve,nrcrcveo,nrcrcvt)
+!$OMP THREADPRIVATE(nrcrcvw,nrcrcvwo,nrcsnde,nrcsndt,nrcsndw,nrfrstoff,nrimax,nrirint,nrlastoff)
 END MODULE YOMPRAD
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomrad15.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomrad15.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomrad15.F90	(revision 2010)
@@ -66,3 +66,5 @@
 ! LNEWAER15 :LOGICAL : .TRUE. IF TEGEN AEROSOLS ARE USED
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(lerad6h15,leradhs15,lnewaer15,lradaer15,lradlb15,naer15,nflux15,nmode15,novlp15)
+!$OMP THREADPRIVATE(nrad15,nradc2f15,nradf2c15,nradfr15,nradnfr15,nradpfr15,nradpla15,nradsfr15,nrint15,nrproma15)
 END MODULE YOMRAD15
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomradf.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomradf.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomradf.F90	(revision 2010)
@@ -42,3 +42,6 @@
 REAL(KIND=JPRB),ALLOCATABLE :: RMOON(:,:)
 
+
+!$OMP THREADPRIVATE(edro,emtc,emtd,emtu,rmoon,srlwd,srlwdcs,srswd,srswdcs,srswduv)
+!$OMP THREADPRIVATE(srswdv,srswpar,srswparc,srswtinc,srswuvb,trsc,trsw)
 END MODULE YOMRADF
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomrcoef.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomrcoef.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomrcoef.F90	(revision 2010)
@@ -80,3 +80,6 @@
 
 !   ----------------------------------------------------------------
+!$OMP THREADPRIVATE(lglobrad,lrcoef,ltladdia,nexpbsr,nexpbthr,ng3sr,ngmtr,nlatrd,nlatwr,nlengsrb)
+!$OMP THREADPRIVATE(nlengtrb,npckfsr,npckfthr)
+!$OMP THREADPRIVATE(solrad,therrad,trmatsum,trweight)
 END MODULE YOMRCOEF
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomrdi15.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomrdi15.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomrdi15.F90	(revision 2010)
@@ -59,3 +59,5 @@
 !            TO BE MORE THAN THE RESPECTIVE VALUE AT SATURATION.
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(ralbice15,ralbsea15,ralbsnm15,ralbsno15,rcardi15,rcfc1115,rcfc1215,rch415)
+!$OMP THREADPRIVATE(remiss15,repalb15,repclc15,reph2o15,rmu0015,rn2o15,rrae15,rsdtsn15,rsnowal15,rvlbdc15)
 END MODULE YOMRDI15
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomrdu15.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomrdu15.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomrdu15.F90	(revision 2010)
@@ -52,3 +52,5 @@
 ! REPSCW15  : REAL      SEC. EPSILON FOR CLOUD LIQUID WATER PATH
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(diff15,nimp15,nout15,ntraer15,nuaer15,r10e15,rcday15,reelog15)
+!$OMP THREADPRIVATE(repsc15,repsco15,repscq15,repsct15,repscw15,repsec15)
 END MODULE YOMRDU15
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomrip.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomrip.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomrip.F90	(revision 2010)
@@ -99,3 +99,6 @@
 REAL(KIND=JPRB) :: RSIVSRLU
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(nindat,nsssss,nstadd,nstass,rcodec,rcodeclu,rcovsr,rcovsrlu,rdeaso,rdecli,rdeclu)
+!$OMP THREADPRIVATE(rdts22,rdts62,rdtsa,rdtsa2,reqtim,rhgmt,rip0,rip0lu,rsidec,rsideclu,rsivsr)
+!$OMP THREADPRIVATE(rsivsrlu,rsovr,rstati,rtdt,rtimst,rtimtr,rtmolt,rwsovr)
 END MODULE YOMRIP
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomsc2.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomsc2.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomsc2.F90	(revision 2010)
@@ -49,3 +49,6 @@
 
 !-----------------------------------------------------------------------
+!$OMP THREADPRIVATE(nfldobb1,nfldslb1,nfldslb15,nfldslb2,nobwide,nriwidee,nriwiden,nriwides)
+!$OMP THREADPRIVATE(nriwidew,nrowidee,nrowiden,nrowides,nrowidew,nslwide)
+!$OMP THREADPRIVATE(nciend,ncist,ndiend,ndist)
 END MODULE YOMSC2
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomscm.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomscm.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomscm.F90	(revision 2010)
@@ -51,3 +51,4 @@
 INTEGER(KIND=JPIM) :: NSCM_ADD_SAMPL
 
+!$OMP THREADPRIVATE(gscm_lat1,gscm_lat2,gscm_lon1,gscm_lon2,gscm_radius,lgscm,nfrscm,nscm_add_sampl,nscm_space_s,nscmts)
 END MODULE YOMSCM
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomsimphl.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomsimphl.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomsimphl.F90	(revision 2010)
@@ -51,3 +51,5 @@
 
 !   ----------------------------------------------------------------
+!$OMP THREADPRIVATE(lclouds,lcvrasp,lgwdsp,lraysp,lrrmessp,lsimph,lsmootha,lsmoothb,lsmoothd,lstrasp)
+!$OMP THREADPRIVATE(ltrajps,ltrajpst,lvdifsp)
 END MODULE YOMSIMPHL
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomslphy.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomslphy.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomslphy.F90	(revision 2010)
@@ -26,3 +26,6 @@
 INTEGER(KIND=JPIM) :: MSAVTEND_S
 
+!$OMP THREADPRIVATE(lslphy,msat_savtend,msat_savtend_s,msavtend_s,mt_savtend,mt_savtend_s)
+!$OMP THREADPRIVATE(mu_savtend,mu_savtend_s,mv_savtend,mv_savtend_s,nvtend)
+!$OMP THREADPRIVATE(savtend)
 END MODULE YOMSLPHY
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomsta.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomsta.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomsta.F90	(revision 2010)
@@ -119,3 +119,10 @@
 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(hextrap,nlextrap,rdtdz1,rdtdz2,rdtdz3,rdtdz4,rdtdz5,rdtdz6,rdtdz7,rdtdz8,rdtdz9)
+!$OMP THREADPRIVATE(rpabov,rpmepo,rpmes2,rpmeso,rpstpo,rpstr2,rpstra,rptrop,rtabov,rtmepo,rtmes2,rtmeso)
+!$OMP THREADPRIVATE(rtstpo,rtstr2,rtstra,rtsur,rttrop,rzabov,rzmepo,rzmes2,rzmeso,rzstpo,rzstr2,rzstra)
+!$OMP THREADPRIVATE(rztrop,vdtdz1,vdtdz2,vdtdz3,vdtdz4,vdtdz5,vdtdz6,vdtdz7,vdtdz8,vdtdz9,vpabov,vpmepo)
+!$OMP THREADPRIVATE(vpmes2,vpmeso,vpstpo,vpstr2,vpstra,vptrop,vtabov,vtmepo,vtmes2,vtmeso,vtstpo,vtstr2)
+!$OMP THREADPRIVATE(vtstra,vtsur,vttrop,vzabov,vzmepo,vzmes2,vzmeso,vzstpo,vzstr2,vzstra,vztrop)
+!$OMP THREADPRIVATE(stden,stphi,stpre,stpreh,sttem,stz)
 END MODULE YOMSTA
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomsw15.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomsw15.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomsw15.F90	(revision 2010)
@@ -51,3 +51,5 @@
 !  RTUMG15 :  REFERENCE TEMPERATURE UNIFORMLY MIXED GASES
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(apad15,bpad15,d15,rpdh115,rpdu115,rpnh15,rpnu15,rray15,rsun15,rswce15,rswcp15)
+!$OMP THREADPRIVATE(rtdh2o15,rtdumg15,rth2o15,rtumg15)
 END MODULE YOMSW15
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomtag.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomtag.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomtag.F90	(revision 2010)
@@ -107,3 +107,8 @@
 INTEGER(KIND=JPIM) :: MTAGDISTFO
 
+!$OMP THREADPRIVATE(mt_distributed_vector,mtagbdy,mtagbrpr,mtagcain,mtagcost,mtagddh1,mtagddh2,mtagddh3,mtagddh4)
+!$OMP THREADPRIVATE(mtagddhres,mtagdistfo,mtagdistgp,mtagdistsp,mtageigmd,mtagfce,mtagfreq,mtaggetv,mtagglobsi)
+!$OMP THREADPRIVATE(mtagglobsr,mtaggom,mtaggpnorm,mtaggsum,mtagke,mtaglcz,mtaglm,mtagmn,mtagms,mtagmv,mtagnm)
+!$OMP THREADPRIVATE(mtagobseq,mtagobseqad,mtagozon,mtagpart,mtagrad,mtagrcbdy,mtagrclb,mtagrclbi,mtagreadvec)
+!$OMP THREADPRIVATE(mtagsig,mtagslag,mtagsm,mtagspno,mtagtide,mtagvh)
 END MODULE YOMTAG
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomtddh.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomtddh.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomtddh.F90	(revision 2010)
@@ -310,4 +310,4 @@
 !       IF LHDMCI
 !       IF LHDENT
-
+!$OMP THREADPRIVATE(hdcs0,hdcs1,hdcvb0,hdcvb1,pddhfsvi)
 END MODULE YOMTDDH
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomtoph.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomtoph.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomtoph.F90	(revision 2010)
@@ -87,3 +87,8 @@
 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(etajuc,etcoef,etcoefe,etcoet,etcvim,etdifu,etdrag,etdrme,etnebu,etozon,etplui)
+!$OMP THREADPRIVATE(etqsat,etradi,ntajuc,ntcoef,ntcoefe,ntcoet,ntcvim,ntdifu,ntdrag,ntdrme,ntnebu)
+!$OMP THREADPRIVATE(ntozon,ntplui,ntqsat,ntradi,rclx,rfmesoq,tpsclim,xdrmqk,xdrmqp,xdrmtk,xdrmtp)
+!$OMP THREADPRIVATE(xdrmtx,xdrmuk,xdrmup,xdrmux)
+!$OMP THREADPRIVATE(rmesoq,rmesot,rmesou)
 END MODULE YOMTOPH
Index: LMDZ5/trunk/libf/phylmd/rrtm/yomvdoz.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yomvdoz.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yomvdoz.F90	(revision 2010)
@@ -74,3 +74,5 @@
 LOGICAL :: LRDEPOZ
 !   ---------------------------------------------------------------------
+!$OMP THREADPRIVATE(lrdepoz,lrdifoz,vdajh,vdajs,vdanh,vdans,vdejh,vdejs,vdenh,vdens,vdhjh,vdhjs)
+!$OMP THREADPRIVATE(vdhnh,vdhns,vdnjh,vdnjs,vdnnh,vdnns,vdpjh,vdpjs,vdpnh,vdpns,vozhs,voznj)
 END MODULE YOMVDOZ
Index: LMDZ5/trunk/libf/phylmd/rrtm/yophlc.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yophlc.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yophlc.F90	(revision 2010)
@@ -53,3 +53,4 @@
 !                        X(T+1)=X(T-1)+2*DX
 !     -----------------------------------------------------------------
+!$OMP THREADPRIVATE(ah0,alandz0,alpha,aseaz0,lczdeb,lkexp,lsdrds,lsdrlc,lsphlc,lvdfds,lvdflc,lzmcon,ustarl,ustars)
 END MODULE YOPHLC
Index: LMDZ5/trunk/libf/phylmd/rrtm/yophnc.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/rrtm/yophnc.F90	(revision 2009)
+++ LMDZ5/trunk/libf/phylmd/rrtm/yophnc.F90	(revision 2010)
@@ -50,3 +50,5 @@
 
 !     ------------------------------------------------------------------
+!$OMP THREADPRIVATE(lecond2,lecubm2,lecumf2,ledcld2,legwdg2,lekpert,lencld2,leqngt2,leradfl2,leradi2)
+!$OMP THREADPRIVATE(leradn2,lerads2,leradsw2,lesurf2,letrajp,letrajpt,levapls2,levdif2,ltraclnph)
 END MODULE YOPHNC
